# &kde; User's Manual

Waldo
Bastian

    bastian@kde.org

Dawit
Alemayehu

    adawit@kde.org

2008-10-14
0.01.01
kcookiejar4
8

# `kcookiejar4`

&kde; HTTP cookie daemon

## Synopsis

    kcookiejar4

    --help
    Generic-options
    Qt-options
    KDE-options
    --shutdown
    --remove domain
    --remove-all
    --reload-config

## Description

`kcookiejar4` handles the HTTP cookies providing a D-BUS service to store/retrieve/clean cookies.

## Generic Options

`--author`

  Show author information.

`--help`

  Show help about options.

`--help-all`

  Show all options.

`--help-kde`

  Show KDE specific options.

`--help-qt`

  Show Qt specific options.

`--license`

  Show license information.

`-v``--version`

  Show version information

## Application Options

`--shutdown`

  Shut down cookie jar and the D-BUS service.

`--remove` `domain`

  Removes cookies for `domain` from the cookie jar.

`--remove-all`

  Removes all the cookies from the cookie jar.

`--reaload-config`

  Reloads the configuration file.

## Usage

KDE web browser `konqueror` uses `kcookiejar4` for storing and managing cookies using the D-Bus service `kcookiejar4` provides.

When `kcookiejar4` is started without parameters, it provides a D-BUS service to handle HTTP cookies.

When `kcookiejar4` is started with some parameters, it does adittional tasks to the cookies jar it provides, like removing the cookies from one `domain`.

## See Also

kdeoptions(7), qtoptions(7)

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.